%global ctpl_docdir %{_defaultdocdir}/ctpl-%{version}

Name:           ctpl
Version:        0.3.4
Release:    1%{?dist}
Summary:        Template library and engine written in C

License:        GPLv3+
URL:            http://ctpl.tuxfamily.org/
Source0:        http://download.tuxfamily.org/ctpl/releases/ctpl-%{version}.tar.gz

Patch0:         ctpl-0.3.2-add-disable-cli-tool.patch



BuildRequires:  gcc
BuildRequires:  glib2-devel >= 2.10
BuildRequires: make
Requires:       ctpl-libs = %{version}-%{release}

%description
CTPL is a template library written in C. It allows fast and easy parsing of
templates from many sources (including in-memory data and local and remote
streaming, thanks to GIO) and fine control over template parsing environment.

CTPL has following features:
* It is a library, then it can be easily used from programs
* Separated lexer and parser
* It is written in portable C
* Simple syntax
* Fast and strict parsing
* Possible in-memory parsing, allowing non-file data parsing and avoiding
  I/O-latency, through GIO's GMemoryInputStream and GMemoryOutputStream


%package libs
Summary:   Template library written in C

%description libs
This package contains the CTPL library.



%package devel
Summary:   Development headers of the template library written in C
Requires:  ctpl-libs = %{version}-%{release}

%description devel
This package contains the development headers of the CTPL library.


%package doc
Summary:   Documentation for the CTPL library
Requires:  ctpl-libs = %{version}-%{release}
BuildArch: noarch

%description doc
This package contains the HTML documentation reference for the CTPL library.


%prep
%setup -q

rm -f waf
rm -f wscript


%patch0 -p1



%build
%configure --docdir %{ctpl_docdir} --disable-cli-tool

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{ctpl_docdir}
install -Dpm0644 AUTHORS COPYING NEWS HACKING TODO README THANKS %{buildroot}%{ctpl_docdir}

rm -f %{buildroot}%{_libdir}/libctpl.a
rm -f %{buildroot}%{_libdir}/libctpl.la



%files libs
%dir %{ctpl_docdir}
%doc %{ctpl_docdir}/AUTHORS
%doc %{ctpl_docdir}/COPYING
%doc %{ctpl_docdir}/NEWS
%{_libdir}/lib%{name}.so.*
%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/it/LC_MESSAGES/%{name}.mo


%files devel
%doc %{ctpl_docdir}/HACKING
%doc %{ctpl_docdir}/TODO
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%doc %{ctpl_docdir}/README
%doc %{ctpl_docdir}/THANKS
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-1
- initial build
